## jetty9 9.4.50

=== debian/changelog ===
jetty9 (9.4.50-4+deb10u2) buster-security; urgency=high

  * Team upload.
  * Fix CVE-2024-22201:
    It was discovered that remote attackers may leave many HTTP/2 connections
    in ESTABLISHED state (not closed), TCP congested and idle. Eventually the
    server will stop accepting new connections from valid clients which can
    cause a denial of service.

 -- Markus Koschany <apo@debian.org>  Sat, 06 Apr 2024 12:41:45 +0200

jetty9 (9.4.50-4+deb10u1) buster-security; urgency=high

  * Team upload.
  * Backport Jetty 9 version from Bookworm.
  * Revert to compat level 12 and servlet-api 3.1.
  * Fix CVE-2023-36478 and CVE-2023-44487:
    Two remotely exploitable security vulnerabilities were discovered in Jetty
    9, a Java based web server and servlet engine. The HTTP/2 protocol
    implementation did not sufficiently verify if HPACK header values exceed
    their size limit. Furthermore the HTTP/2 protocol allowed a denial of
    service (server resource consumption) because request cancellation can
    reset many streams quickly. This problem is also known as Rapid Reset
    Attack.
  * Fix CVE-2020-27218:
    If GZIP request body inflation is enabled and requests from different
    clients are multiplexed onto a single connection, and if an attacker can
    send a request with a body that is received entirely but not consumed by
    the application, then a subsequent request on the same connection will see
    that body prepended to its body. The attacker will not see any data but may
    inject data into the body of the subsequent request.

 -- Markus Koschany <apo@debian.org>  Sun, 29 Oct 2023 16:12:42 +0100

jetty9 (9.4.50-4+deb12u1) bookworm-security; urgency=high

  * Team upload.
  * The org.eclipse.jetty.servlets.CGI has been deprecated. It is potentially
    unsafe to use it. The upstream developers of Jetty recommend to use Fast CGI
    instead. See also CVE-2023-36479.
  * Fix CVE-2023-26048:
    Jetty is a java based web server and servlet engine. In affected versions
    servlets with multipart support (e.g. annotated with `@MultipartConfig`)
    that call `HttpServletRequest.getParameter()` or
    `HttpServletRequest.getParts()` may cause `OutOfMemoryError` when the
    client sends a multipart request with a part that has a name but no
    filename and very large content. This happens even with the default
    settings of `fileSizeThreshold=0` which should stream the whole part
    content to disk.
  * Fix CVE-2023-26049:
    Nonstandard cookie parsing in Jetty may allow an attacker to smuggle
    cookies within other cookies, or otherwise perform unintended behavior by
    tampering with the cookie parsing mechanism.
  * Fix CVE-2023-40167:
    Prior to this version Jetty accepted the `+` character proceeding the
    content-length value in a HTTP/1 header field. This is more permissive than
    allowed by the RFC and other servers routinely reject such requests with
    400 responses. There is no known exploit scenario, but it is conceivable
    that request smuggling could result if jetty is used in combination with a
    server that does not close the connection after sending such a 400
    response.
  * CVE-2023-36479:
    Users of the CgiServlet with a very specific command structure may have the
    wrong command executed. If a user sends a request to a
    org.eclipse.jetty.servlets.CGI Servlet for a binary with a space in its
    name, the servlet will escape the command by wrapping it in quotation
    marks. This wrapped command, plus an optional command prefix, will then be
    executed through a call to Runtime.exec. If the original binary name
    provided by the user contains a quotation mark followed by a space, the
    resulting command line will contain multiple tokens instead of one.
  * Fix CVE-2023-41900:
    Jetty is vulnerable to weak authentication. If a Jetty
    `OpenIdAuthenticator` uses the optional nested `LoginService`, and that
    `LoginService` decides to revoke an already authenticated user, then the
    current request will still treat the user as authenticated. The
    authentication is then cleared from the session and subsequent requests
    will not be treated as authenticated. So a request on a previously
    authenticated session could be allowed to bypass authentication after it
    had been rejected by the `LoginService`. This impacts usages of the
    jetty-openid which have configured a nested `LoginService` and where that
    `LoginService` is capable of rejecting previously authenticated users.

 -- Markus Koschany <apo@debian.org>  Wed, 27 Sep 2023 16:35:19 +0200

jetty9 (9.4.50-4) unstable; urgency=medium

  * Team upload.
  * Revert the switch to libtomcat10-java. For now Jetty 9 only works correctly
    with libtomcat9-java. (Closes: #1036798)

 -- Markus Koschany <apo@debian.org>  Sat, 27 May 2023 16:28:19 +0200

jetty9 (9.4.50-3) unstable; urgency=medium

  * Team upload.
  * Depend on libtomcat10-java instead of libtomcat9-java.
  * Add tomcat10-migration.patch.
  * Ignore jetty-jaspi module because it does not work with Tomcat 10 yet.

 -- Markus Koschany <apo@debian.org>  Sun, 19 Feb 2023 13:41:00 +0100

jetty9 (9.4.50-2) unstable; urgency=medium

  * Depend on libeclipse-jdt-core-java instead of libecj-java
  * Standards-Version updated to 4.6.2

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 06 Jan 2023 12:08:38 +0100

jetty9 (9.4.50-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 27 Nov 2022 22:47:21 +0100

jetty9 (9.4.49-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 9.4.49.

 -- Markus Koschany <apo@debian.org>  Thu, 22 Sep 2022 23:41:17 +0200
