## jetty9 9.4.51

=== debian/changelog ===
jetty9 (9.4.51-2) experimental; urgency=medium

  * Team upload.
  * Revert switch to libtomcat10-java. (Closes: #1036798)

 -- Markus Koschany <apo@debian.org>  Sat, 27 May 2023 16:47:13 +0200

jetty9 (9.4.51-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Replace dependency on lsb-base with sysvinit-utils.
    - Fix: litian error     depends-on-obsolete-package.
  * Add a systemd timer for debian/jetty9.service.
    - Fix: lintian warning missing-systemd-timer-for-cron-script.
  * Fix lintian warning skip-systemd-native-flag-missing-pre-depends.
  * Fix lintian warning mismatched-override.

 -- sun min <sunmin89@outlook.com>  Wed, 29 Mar 2023 10:10:33 +0800
