## jetty9 9.4.53

=== debian/changelog ===
jetty9 (9.4.53-1) unstable; urgency=medium

  * New upstream release

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 09 Oct 2023 23:07:28 +0200

jetty9 (9.4.52-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 9.4.52.
  * Refresh the patches.

 -- Markus Koschany <apo@debian.org>  Sun, 24 Sep 2023 01:40:05 +0200
