=== debian/control ===
--- 
+++ 
@@ -5,17 +5,19 @@
 Uploaders: Emmanuel Bourg <ebourg@apache.org>
 Build-Depends:
  ant-optional,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  default-jdk,
  dh-exec,
  javahelper,
  junit,
  libasm-java (>= 7.0),
  libbuild-helper-maven-plugin-java,
+ libel-api-java,
  libgeronimo-jta-1.2-spec-java,
  libjboss-logging-java,
  libjcip-annotations-java,
  libjnr-unixsocket-java,
+ libjsp-api-java,
  libmail-java,
  libmaven-antrun-plugin-java,
  libmaven-assembly-plugin-java,
@@ -23,11 +25,12 @@
  libmaven-dependency-plugin-java,
  libmaven-shade-plugin-java,
  libmockito-java,
- libservlet3.1-java,
+ libservlet-api-java,
  libspring-beans-java,
  libtaglibs-standard-impl-java,
  libtaglibs-standard-spec-java,
  libtomcat9-java,
+ libwebsocket-api-java,
  maven-debian-helper (>= 2.2.8~),
  maven-repo-helper
 Standards-Version: 4.6.2
@@ -37,7 +40,8 @@
 
 Package: libjetty9-java
 Architecture: all
-Depends: ${misc:Depends}, libservlet3.1-java
+Depends: ${misc:Depends}, libel-api-java, libjsp-api-java, libservlet-api-java, libwebsocket-api-java
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: jetty9
 Description: Java servlet engine and webserver -- core libraries
  Jetty is an Open Source HTTP Servlet Server written in 100% Java.
@@ -59,6 +63,7 @@
  libtaglibs-standard-spec-java,
  libtomcat9-java,
  ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: jetty9
 Description: Java servlet engine and webserver -- extra libraries
  Jetty is an Open Source HTTP Servlet Server written in 100% Java.
@@ -78,8 +83,9 @@
  libeclipse-jdt-core-java,
  libjetty9-extra-java (>= ${source:Version}),
  libjetty9-java (>= ${source:Version}),
- lsb-base,
+ sysvinit-utils (>= 3.05-4~),
  ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Recommends: authbind
 Description: Java servlet engine and webserver
  Jetty is an Open Source HTTP Servlet Server written in 100% Java.
