## jetty9 9.4.54

=== debian/changelog ===
jetty9 (9.4.54-1) unstable; urgency=high

  * Team upload.
  * New upstream version 9.4.54.
    - Fix CVE-2024-22201:
      It was discovered that remote attackers may leave many HTTP/2 connections
      in ESTABLISHED state (not closed), TCP congested and idle. Eventually the
      server will stop accepting new connections from valid clients which can
      cause a denial of service. (Closes: #1064923)
      Thanks to Salvatore Bonaccorso for the report.

 -- Markus Koschany <apo@debian.org>  Sat, 06 Apr 2024 12:54:58 +0200
