## jetty9 9.4.55

=== debian/changelog ===
jetty9 (9.4.55-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.7.0

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 02 Aug 2024 08:55:22 +0200
