## jetty9 9.4.56

=== debian/changelog ===
jetty9 (9.4.56-1) unstable; urgency=medium

  * New upstream release

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 07 Oct 2024 17:27:31 +0200
