## jetty9 9.4.57

=== debian/changelog ===
jetty9 (9.4.57-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2025-5115: MadeYouReset HTTP/2 vulnerability (Closes: #1111766)

 -- Adrian Bunk <bunk@debian.org>  Fri, 05 Sep 2025 08:55:56 +0300

jetty9 (9.4.57-1) unstable; urgency=medium

  * New upstream release

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 03 Mar 2025 13:04:12 +0100
