## jetty9 9.4.58

=== debian/changelog ===
jetty9 (9.4.58-1) unstable; urgency=medium

  * Standards-Version updated to 4.7.3
  * New upstream release
    - Removed the CVE-2025-5115 patch (fixed upstream)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 09 Feb 2026 17:52:24 +0100
