=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
  libwebsocket-api-java,
  maven-debian-helper (>= 2.2.8~),
  maven-repo-helper
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/java-team/jetty9.git
 Vcs-Browser: https://salsa.debian.org/java-team/jetty9
 Homepage: http://www.eclipse.org/jetty/
